package com.zhentao.groups.MongoDB.controller;

import com.zhentao.config.NullLogin;
import com.zhentao.groups.MongoDB.pojo.GroupMessage;
import com.zhentao.groups.MongoDB.pojo.Message;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

@RequestMapping("/groupMessage")
@RestController
public class GroupMessageController {

    @Autowired
    RedisTemplate<String,String> redisTemplate;

    @Autowired
    private MongoTemplate mongoTemplate;


    @PostMapping("/cunchugroupMessage")
    @NullLogin
    public String groupMessage(@RequestBody Message message)
    {
        GroupMessage groupMessage = new GroupMessage();
        groupMessage.setGroupId(message.getGroupId());
        groupMessage.setSenderId(message.getFromUserId());
        groupMessage.setContent(message.getContent());
        groupMessage.setType(message.getType());
        groupMessage.setTimestamp(System.currentTimeMillis());
        mongoTemplate.save(groupMessage);
        return "success";
    }








}
