package com.zhentao.groups.service;


import com.zhentao.groups.dto.AddGroupMembers;
import com.zhentao.groups.dto.DelGroupMembers;
import com.zhentao.groups.dto.GroupDto;
import com.zhentao.groups.pojo.Groupss;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhentao.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;

import java.util.List;

/**
* @author lzy
* @description 针对表【groups(群组表)】的数据库操作Service
* @createDate 2025-06-04 16:00:48
*/
public interface GroupsService extends IService<Groupss> {

//    创建群聊
    Result addGroup(com.zhentao.groups.dto.AddGroupsDto addGroupsDto);


//        添加人数
    Result AddGroupMembers(AddGroupMembers addGroupMembers);

//    删除人数
    Result DelGroupMembers(DelGroupMembers delGroupMembers);
//  查询所有的一个群ID
    List<GroupDto> getList();
}
