package com.zhentao.user.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.Date;

@Data
public class FriendDto {
    /**
     * 用户ID
     */
    @TableId
    private Long id;

    /**
     * 账号
     */
    private String userUsername;



    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 头像图片
     */
    private String avatar;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 性别1男2女3未知
     */
    private Integer gender;

    /**
     * 个性签名
     */
    private String userIntro;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}
